org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class LoadFullValueAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.LoadFullValueAction

Direct Known Subclasses:
  LoadFullValueAction.ForExpression, LoadFullValueAction.ForVariable

    public abstract class LoadFullValueAction
    extends VariableBasedAction

The action for context menu in Variable/Expression views that loads full text of string variable if it was truncated initially.

### Nested Class Summary

Nested Classes
`static class` `LoadFullValueAction.ForExpression`
`static class` `LoadFullValueAction.ForVariable`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`VariableBasedAction.ElementHandler, VariableBasedAction.VariableWrapper`

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`EXPRESSION_VIEW_ELEMENT_HANDLER, VARIABLE_VIEW_ELEMENT_HANDLER`

### Constructor Summary

Constructors
`protected` `LoadFullValueAction(VariableBasedAction.ElementHandler elementHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Runnable` `createRunnable(VariableBasedAction.VariableWrapper wrapper)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`dispose, init, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoadFullValueAction

    protected LoadFullValueAction(VariableBasedAction.ElementHandler elementHandler)

### Method Detail

#### createRunnable

    protected java.lang.Runnable createRunnable(VariableBasedAction.VariableWrapper wrapper)

Specified by:
  `createRunnable` in class `VariableBasedAction`